Bug 11878 - Short repeated IMAP sessions causes inetd to switch it off
Short repeated IMAP sessions causes inetd to switch it off
Product: Red Hat Linux
Classification: Retired
Component: netkit-base (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2000-06-02 20:24 EDT by Andrew Meredith
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-06-04 09:54:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew Meredith 2000-06-02 20:24:08 EDT
Hi There,

If your mailer does remote sync (eg netscrape) which involved going into a 
large number of IMAP folders saying "Anthing new?" and exiting if the 
answer is no, then inetd sees this as looping and issues:

inetd[572]: imap/tcp server failing (looping), service terminated 

It then bounces all further connections to port 143.

Can anything be done to alleviate this. This is either a documentation 
problem or a mismatch between the 3 components netscape, inetd & imapd. 
The are all doing what they are supposed to do, but the overall function 
of syncing mail across a number of frequently un-updated mail folders 


Andy M
Comment 1 Jeff Johnson 2000-06-03 14:22:39 EDT
This is a feature, not a bug. Add a maximum rate in /etc/inetd.conf like
    imap    stream  tcp     nowait.<MAX>  root    /usr/sbin/tcpd imapd
where <MAX> is the number of permitted spawns per scond (default per man
page is 40)
Comment 2 Andrew Meredith 2000-06-04 09:54:22 EDT
Oops ... didn't spot this in the man pages .. mea culpa.

<pathetic excuse>

The description of the optional .max parameter was tucked away as the last 
sentence in a paragraph mostly about UDP packet management.

Maybe a para break in the man pages ??

</pathetic excuse>

Note You need to log in before you can comment on or make changes to this bug.